---
title: Agnostic EDF Deployment
weight: 2
description: The implementation of EDF must be kubernetes provider agnostic
---

* Type: Proposal
* Owner: Stephan Lo (stephan.lo@telekom.de)
* Reviewers: EDF Architects
* Status: Speculative, revision 0.1

## Background

EDF is running as a controlplane - or let's say an orchestration plane, correct wording is still to be defined - in a kubernetes cluster.
Right now we have at least ArgoCD as controller of manifests which we provide as CNOE stacks of packages and standalone packages.

## Proposal

The implementation of EDF must be kubernetes provider agnostic. Thus each provider specific deployment dependency must be factored out into provider specific definitions or deployment procedures.

## Local deployment

This implies that EDF must always be deployable into a local cluster, whereby by 'local' we mean a cluster which is under the full control of the platform engineer, e.g. a kind cluster on their laptop.